Package org.eclipse.birt.core.archive.compound

# Class ArchiveEntryOutputStream

java.lang.Object
java.io.OutputStream
org.eclipse.birt.core.archive.RAOutputStream
org.eclipse.birt.core.archive.compound.ArchiveEntryOutputStream

All Implemented Interfaces:
  `Closeable`, `Flushable`, `AutoCloseable`

public class ArchiveEntryOutputStream extends RAOutputStream
An OutputStream wraper for RandomAccessStreamImpl.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected byte[]`
`buffer`
`protected int`
`buffer_offset`
`protected int`
`buffer_size`
`protected ArchiveEntry`
`entry`
the stream item

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`void`
`flush()`
`long`
`getOffset()`
`long`
`length()`
`void`
`seek(long localPos)`
`void`
`write(byte[] b, int off, int len)`
`void`
`write(int b)`
`void`
`writeInt(int value)`
`void`
`writeLong(long value)`

### Methods inherited from class java.io.OutputStream

`nullOutputStream, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### entry

protected ArchiveEntry entry
the stream item

### buffer

protected byte[] buffer

### buffer_offset

protected int buffer_offset

### buffer_size

protected int buffer_size

## Method Details

### getOffset

public long getOffset() throws IOException

Specified by:
  `getOffset` in class `RAOutputStream`
Throws:
  `IOException`

### seek

public void seek(long localPos) throws IOException

Specified by:
  `seek` in class `RAOutputStream`
Throws:
  `IOException`

### write

public void write(int b) throws IOException

Specified by:
  `write` in class `OutputStream`
Throws:
  `IOException`

### writeInt

public void writeInt(int value) throws IOException

Specified by:
  `writeInt` in class `RAOutputStream`
Throws:
  `IOException`

### writeLong

public void writeLong(long value) throws IOException

Specified by:
  `writeLong` in class `RAOutputStream`
Throws:
  `IOException`

### write

public void write(byte[] b, int off, int len) throws IOException

Overrides:
  `write` in class `OutputStream`
Throws:
  `IOException`

### flush

public void flush() throws IOException

Specified by:
  `flush` in interface `Flushable`
Overrides:
  `flush` in class `OutputStream`
Throws:
  `IOException`

### close

public void close() throws IOException

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Closeable`
Overrides:
  `close` in class `OutputStream`
Throws:
  `IOException`

### length

public long length() throws IOException

Specified by:
  `length` in class `RAOutputStream`
Throws:
  `IOException`